Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class SessionUtils

    java.lang.Object
      org.apache.axis.utils.SessionUtils

public class SessionUtils
extends Object

Code borrowed from AuthenticatorBase.java for generating a secure id's.

Field Summary
`protected static String` | `algorithm` The message digest algorithm to be used when generating session identifiers.
`protected static String` | `DEFAULT_ALGORITHM` The default message digest algorithm to use if we cannot use the requested one.
`protected static MessageDigest` | `digest` Return the MessageDigest implementation to be used when creating session identifiers.
`protected static Random` | `random` A random number generator to use when generating session identifiers.
`protected static String` | `randomClass` The Java class name of the random number generator class to be used when generating session identifiers.
`protected static int` | `SESSION_ID_BYTES` The number of random bytes to include when generating a session identifier.

Constructor Summary
`SessionUtils()`

Method Summary
`static Long` | `generateSession()` Generate and return a new session identifier.
`static String` | `generateSessionId()` Generate and return a new session identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ALGORITHM

    protected static final String DEFAULT_ALGORITHM

  The default message digest algorithm to use if we cannot use the requested one.

  See Also:
    Constant Field Values

### SESSION_ID_BYTES

    protected static final int SESSION_ID_BYTES

  The number of random bytes to include when generating a session identifier.

  See Also:
    Constant Field Values

### algorithm

    protected static String algorithm

  The message digest algorithm to be used when generating session identifiers. This must be an algorithm supported by the `java.security.MessageDigest` class on your platform.

### digest

    protected static MessageDigest digest

  Return the MessageDigest implementation to be used when creating session identifiers.

### random

    protected static Random random

  A random number generator to use when generating session identifiers.

### randomClass

    protected static String randomClass

  The Java class name of the random number generator class to be used when generating session identifiers.

Constructor Detail

### SessionUtils

    public SessionUtils()

Method Detail

### generateSessionId

    public static String generateSessionId()

  Generate and return a new session identifier.

  Returns:
    a new session id

### generateSession

    public static Long generateSession()

  Generate and return a new session identifier.

  Returns:
    a new session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.